
Ruby - Feature #11077

Add IMAP MOVE support

04/20/2015 11:13 AM - ojab (ojab ojab)

Status: Closed   

Priority: Normal   

Assignee: shugo (Shugo Maeda)   

Target version:    

Description

IMAP MOVE Extension is defined in RFC 6851 and supported in Cyrus/Dovecot/GMail.

Will be handy to use it from ruby (instead of copy+delete).

Associated revisions

Revision c8cb2598d12011634e22ecf3aa5003a31e3d57a3 - 04/22/2015 09:43 AM - shugo (Shugo Maeda)

lib/net/imap.rb (move, uid_move): support the MOVE command defined

in RFC6851.  Patch by ojab ojab.

[ruby-core:68960] [Feature #11077]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50369 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision c8cb2598 - 04/22/2015 09:43 AM - shugo (Shugo Maeda)

lib/net/imap.rb (move, uid_move): support the MOVE command defined

in RFC6851.  Patch by ojab ojab.

[ruby-core:68960] [Feature #11077]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50369 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/22/2015 06:20 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to shugo (Shugo Maeda)

#2 - 04/22/2015 09:44 AM - shugo (Shugo Maeda)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset r50369.

lib/net/imap.rb (move, uid_move): support the MOVE command defined

in RFC6851.  Patch by ojab ojab.

[ruby-core:68960] [Feature #11077]

Files

ruby-imap_move.patch 920 Bytes 04/20/2015 ojab (ojab ojab)
